# YouTube Data API . channelBanners

## Instance Methods

Uploads a channel banner to YouTube.

### Method Details

`insert(body=None, media_body=None, onBehalfOfContentOwner=None)`

    Uploads a channel banner to YouTube.

    Args:
      body: object, The request body.
        The object takes the form of:

    { # A channel banner returned as the response to a channel_banner.insert call.
        "url": "A String", # The URL of this banner image.
        "kind": "youtube#channelBannerResource", # The kind, fixed to "youtube#channelBannerResource".
        "etag": "A String", # Etag of this resource.
      }

      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.
      onBehalfOfContentOwner: string, USE_DESCRIPTION --- channels:list:onBehalfOfContentOwner

    Returns:
      An object of the form:

        { # A channel banner returned as the response to a channel_banner.insert call.
          "url": "A String", # The URL of this banner image.
          "kind": "youtube#channelBannerResource", # The kind, fixed to "youtube#channelBannerResource".
          "etag": "A String", # Etag of this resource.
        }